<?PHP
/**
 * Contains a class for listing the possible genders.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Contains a class for listing the possible genders.
 */
final class MDGenderSet extends MDValueSet {

    const GENDERS = [
        '',
        'female',
        'male',
        'gender',
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::GENDERS, "gender_set", "gender_set");

    }
}
